.c {
    text-align: center;
}

.h {
    display: none;
}

a.s {
    border: 1px solid #000;
    background: #e6a117;
    padding: 10px;
    color: #fff;
}


.t,
.t:focus,
.t:active {
    width: 49.75%;
    height: 350px;
    padding: 1%;
    resize: none;
    outline: none;
    font-size: 0.8em;
    text-decoration: none;
    border: 1px solid #000;
    font-family: "Courier New", Courier, monospace;
}

.b {
    font-size: 1em;
    margin-right: 10px;
    display: block;
    cursor: pointer;
    color: #fff;
    background-color: #dc3545;
    border-color: #dc3545;
    padding: 0.5%;
    border: 1px solid #000;
}

pre {
    display: block;
    font-family: monospace;
    white-space: pre;
    font-size: 1em;
}

@media only screen and (max-width: 768px) {
    .t {
        width: 100%;
    }

    .texts {
        display: none;
    }
}

@media (max-width:640px) {
    #sc {
        width: 100% !important
    }

    .t,
    .t:focus,
    .t:active {
        width: 100%;
    }
}

@media only screen and (min-device-width: 768px) and (max-device-width: 1024px) {
    .text {
        width: 49.58% !important;
    }

    .t,
    .t:focus,
    .t:active {
        width: 49.58% !important;
    }
}

@media only screen and (min-device-width: 1024px) and (max-width: 1367px) {
    .text {
        width: 49.7%;
    }

    .t,
    .t:focus,
    .t:active {
        width: 49.7%;
    }
}

table.diff {
    border-collapse: collapse;
    border: 1px solid darkgray;
    white-space: pre-wrap;
}

table.diff tbody {
    font-family: Courier, monospace;
}

table.diff tbody th {
    font-family: verdana, arial, "Bitstream Vera Sans", helvetica, sans-serif;
    background: #eed;
    font-size: 11px;
    font-weight: normal;
    border: 1px solid #bbc;
    color: #886;
    padding: 0.3em 0.5em 0.1em 2em;
    text-align: right;
    vertical-align: top;
    width: 5%;
}

table.diff thead {
    border-bottom: 1px solid #bbc;
    background: #efefef;
    font-family: Verdana;
}

table.diff thead th.texttitle {
    text-align: center;
}

table.diff thead tr th:nth-child(2) {
    border-right: 2px solid #d0d5dc;
}

table.diff tbody td {
    padding: 0px 0.4em;
    padding-top: 0.4em;
    vertical-align: top;
    word-break: break-all;
    word-wrap: break-word;
    width: 50%;
}

table.diff .empty {
    background-color: #ddd;
}

table.diff .replace {
    background-color: #fd8;
}

table.diff .delete {
    background-color: #e99;
}

table.diff .skip {
    background-color: #efefef;
    border: 1px solid #aaa;
    border-right: 1px solid #bbc;
}

table.diff .insert {
    background-color: #9e9;
}

table.diff th.author {
    text-align: right;
    border-top: 1px solid #bbc;
    background: #efefef;
}